*-----------------------------------------------------------------------
      subroutine nxvgnx(ncdfid,cvname,istart,icount,values)

      integer   istart(*),icount(*)
      real      values(*)
      character cvname*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvgnx','error in ncvid.')

      call ncvgt(ncdfid,nvarid,istart,icount,values,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvgnx','error in ncvgt.')

      end
